%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define modn   ipaddr
%define modv   2.1.11


Summary:       An IPv4/IPv6 manipulation library in Python
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       APLv2
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/i/%{modn}/%{modn}-%{modv}.tar.gz
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Google <ipaddr-py-dev@googlegroups.com>
Provides:      python(%{modn}) = %{modv}
BuildRequires: python2-devel python-setuptools
BuildArch:     noarch


%description
Ipaddr is a library for working with IP addresses in Python, both IPv4
and IPv6. It was developed by Google for internal use, and is now open
source.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%check
%{__python2} ipaddr_test.py


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING README RELEASENOTES
%{python2_sitelib}/%{modn}.py*
%{python2_sitelib}/*.egg-info


%changelog
* Mon Jan 12 2015 Peter Pramberger <peterpramb@member.fsf.org> - 2.1.11-1
- Initial build
